* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* body {
    background-image: url('../img/background.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    font-family: "Afacad Flux", sans-serif;
    font-optical-sizing: auto;
    font-weight: 100;
    font-style: normal;
} */

/* Header */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #000000;
    padding: 0px 20px;
    height: 110px;
}

.navbar .logo {
    color: white;
    text-decoration: none;
}

.navbar-buttons {
    display: flex;
    gap: 15px;
}

.logo img {
    max-width: 200px;
    max-height: 130px;
}

.btn-ingresar {
    background-color: red;
    border: 1px solid white;
    color: white;
    padding: 10px 20px;
    border-radius: 15px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.btn-ingresar:hover {
    background-color: white;
    color: black;
    border-color: black;
}

.btn-registrate {
    background-color: red;
    border: 1px solid white;
    color: white;
    padding: 10px 20px;
    border-radius: 15px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.btn-registrate:hover {
    background-color: #ffffff;
    color: #000000;
    border-color: black;
}

.buscador-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: relative;
    margin-top: 50px;
}

.buscador {
    width: 70%;
    padding: 10px 40px 10px 20px;
    font-size: 16px;
    border: 2px solid #ccc;
    border-radius: 25px;
    box-sizing: border-box;
}

.buscador-btn {
    margin-left: 15px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
}

.buscador-btn img {
    width: 30px;
    height: 30px;
}


/* Card Profesiones */
.titulo {
    text-align: center; 
    margin: 20px 0; 
    font-size: 2rem; 
    color: white;
    padding: 0.5rem 1rem;
    background-color: #ff5757;
}

.card-profesiones {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* Tres imágenes por línea */
    gap: 20px;
    padding: 25px; 
    margin-bottom: 50px; 
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Alinea los elementos dentro de la tarjeta */
    align-items: center; 
    background: rgb(255,240,238);
    background: radial-gradient(circle, rgba(255,240,238,1) 0%, rgba(255,218,218,0.891281512605042) 35%, rgba(255,255,255,0.9360994397759104) 100%);
    border: 1px solid #ddd; 
    border-radius: 8px; 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    padding: 16px; 
    transition: transform 0.2s ease;
    width: 100%; 
    max-width: 300px; 
    min-height: 400px; 
    /* overflow: hidden; */
    text-align: center;
    justify-content: center;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4); 
}

.card-imagen {
    width: 100%; 
    height: 200px; /* Fija la altura de la imagen */
    object-fit: contain; 
    margin-bottom: 16px;
    border-radius: 20px; 
}

.profession {
    width: 100%;
    height: 200px;
    padding: 0 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profession h3 {
    margin: 0; 
    font-size: 1.3rem; 
    font-weight: 600;
}

.profession h6 {
    margin: 8px 0 0;
    font-size: 1rem; 
    color: #666; 
}

/* Footer */
footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: rgb(0, 0, 0);
    padding: 10px;
    color: white;
    
}

h2 {
    font-weight: bold;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: auto;
}

.footer-logo h2 {
    margin: 0;
    font-size: 24px;
    color: #f30505;
}

.footer-links {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
    margin: 10px 0;
}

.footer-link {
    color: white;
    font-weight: bolder;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-link:hover {
    color: #ff0000;
}

.footer-social {
    display: flex;
    gap: 50px;
    margin: 10px 0;
}

.footer-icon {
    background-color: white;
    text-decoration: none;
    padding: 10px;
    border: 1px solid white;
    border-radius: 50%;
    transition: background-color 0.3s, color 0.3s;
}

.footer-icon:hover {
    background-color: white;
    color: black;
}

.footer-icon img {
    width: 24px;
    height: 24px;
    display: block;
}

/*---------- Estilo de cookies------   */
.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #f9f9f9;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
    padding: 15px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
  }
  /* Estilos del texto */
  .cookie-banner-text {
    max-width: 70%;
    font-size: 14px;
    color: #333;
  }
  /* Estilos de los botones */
  .cookie-banner button {
    margin-left: 10px;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
  }
  .btn-accept {
    background-color: #28a745;
    color: white;
  }
  .btn-decline {
    background-color: #dc3545;
    color: white;
  }


/* Media Queries */

/* Para dispositivos móviles */
@media (max-width: 768px) {
    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 10px;
        height: auto;
    }

    .navbar .logo {
        display: flex;
        align-content: center;
        justify-content: center;
        
    }

    .logo img {
        max-width: 110px;
       
    }

    .navbar-buttons {
        flex-direction: column;
        gap: 10px;
        margin-left: 0;
    }

    .btn {
        margin-top: 10px !important;
        margin-left: 0 !important;
    }

    .buscador-container {
        margin-top: 20px;
        padding: 20px;
    }

    .buscador {
        width: 90%;
    }

    .card {
        width: 90%;
        height: auto; 
    }

    .card-imagen {
        width: 100%; 
        height: auto;
        border-radius: 10px; 
    }

    .titulo {
        font-size: 1.5rem;
    }

    .card-profesiones {
        grid-template-columns: 1fr;
        justify-items: center; 
        height: auto;
    }

    .profession {
        height: auto;
    }

    footer {
        flex-direction: column;
        height: auto;
    }

    .footer-social {
        display: none;
    }

    h6 {
        text-align: center;
    }

    .row {
        flex-wrap: wrap !important; 
    }

    .col-md-3 {
        flex: 1 1 100%; 
        max-width: 100%;
    }

    
}

/* Desde 769 hasta 1024 */
@media (min-width: 769px) and (max-width: 991px) {
    
    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 10px;
        height: auto;
    }

    .navbar .logo {
        display: flex;
        align-content: center;
        justify-content: center;
        
    }

    .logo img {
        max-width: 110px;
       
    }

    .navbar-buttons {
        flex-direction: column;
        gap: 10px;
        margin-left: 0;
    }

    .btn {
        margin-top: 10px !important;
        margin-left: 0 !important;
    }

    .card {
        width: 80%;
        height: 200px;
        justify-items: center; 
    }

    .titulo {
        font-size: 1.75rem;
    }

    .card-profesiones {
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        justify-items: center; 
        align-items: center;
        min-height: 0;
    }
}

/* Hasta 1025 */
@media (min-width: 1025px) {
    

    .titulo {
        font-size: 2rem;
    }

    .card-profesiones {
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    }

    .card {
        width: 300px;
        height: 300px; 
    }
}
